Package com.databricks.jdbc.common.util

## Class MetricsUtil

- java.lang.Object
- - com.databricks.jdbc.common.util.MetricsUtil

    public class MetricsUtil
    extends Object

### Constructor Summary

Constructors
`MetricsUtil()`

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `exportError​(IDatabricksSession session, String errorName, String sqlQueryId, int errCode)` Exports error to Databricks using MetricsExporter
`static void` `exportError​(DatabricksMetrics metricsExporter, String errorName, String sqlQueryId, int errCode)`
`static void` `exportErrorWithoutAuth​(String errorName, String sqlQueryId, int errCode)` Exports errors without auth.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MetricsUtil

    public MetricsUtil()

### Method Detail

#### exportError

    public static void exportError​(IDatabricksSession session,
                                   String errorName,
                                   String sqlQueryId,
                                   int errCode)

Exports error to Databricks using MetricsExporter

#### exportError

    public static void exportError​(DatabricksMetrics metricsExporter,
                                   String errorName,
                                   String sqlQueryId,
                                   int errCode)

#### exportErrorWithoutAuth

    public static void exportErrorWithoutAuth​(String errorName,
                                              String sqlQueryId,
                                              int errCode)

Exports errors without auth. Useful where connection is not yet established